{% load cms_tags djangocms_forms_tags i18n sekizai_tags staticfiles %}
{% if instance.title or instance.description %}
<div class="row justify-content-center mb-3 element-animate">
	<div class="col-md-8 text-center mb-5">
		{% if instance.title %}
			<h2 class="text-uppercase heading border-bottom mb-4">{{ instance.title }}</h2>
		{% endif %}
		{% if instance.description %}
			<p class="mb-0 lead">
				{{ instance.description|safe }}
			</p>
		{% endif %}
	</div>
</div>
{% endif %}

<div class="row justify-content-md-center element-animate">
	<div class="form-wrapper contact-form col-sm-12 col-md-10 mb-4">
		<form action="{{ form.submission_url }}" method="POST" {% if form.is_multipart %} enctype="multipart/form-data"{% endif %}>
			<div class="card bg-warning text-white form-errors" style="display:none;"></div>
			{% for field in form.visible_fields %}
			<div class="form-group">
				<div class="field-wrapper {{ field|input_class }} {{ field.css_classes }}{% if field|is_honeypot %} visuallyhidden{% endif %}">
					<div class="card bg-warning text-white field-errors" role="alert" style="display:none;"></div>
					{% if field|is_checkbox %}
						{{ field }}
					{% endif %}
					<label for="{{ field.id_for_label }}">
						{% if field|is_required %}<b>{% endif %}{{ field.label }}{% if field|is_required %}</b>{% endif %}
					</label>
					{% if not field|is_checkbox %}
					{{ field }}
					{% endif %}
					{% if field.help_text %}
					<div id="help-text-{{ field.auto_id }}" class="help-text form-text text-muted"><i>{{ field.help_text|safe }}</i></div>
					{% endif %}
				</div>
			</div>
			{% endfor %}
			{% csrf_token %}
			{% for hidden in form.hidden_fields %}
				{{ hidden }}
			{% endfor %}
			
			<div class="button-wrapper submit row">
				<button class="form-button btn btn-primary d-flex ml-auto mr-auto" type="submit" value="{{ instance.submit_btn_txt }}">{{ instance.submit_btn_txt }}</button>
			</div>
			<div class="form-success" style="display: none;">
				{% if instance.post_submit_msg %}
					<p class="text-center">{{ instance.post_submit_msg|safe }}</p>
				{% else %}
					<h3 class="text-center display-4">{% trans 'Submission successful' %}</h3>
					<p class="text-center">{% trans 'Thank You! Your form has been successfully submitted!' %}</p>
				{% endif %}
			</div>
		</form>
	</div>
</div>



{% addtoblock "css" %}
	{% if instance.use_honeypot %}
	<style>
	    .visuallyhidden { border: 0; clip: rect(0 0 0 0); height: 1px; margin: -1px; overflow: hidden; padding: 0; position: absolute; width: 1px; }
	</style>
    {% endif %}
{% endaddtoblock %}
{% addtoblock "js" %}
    {% if instance.use_recaptcha %}
        <script src="https://www.google.com/recaptcha/api.js?onload=reCapctchaOnloadCallback&render=explicit" async defer></script>
    {% endif %}
	<script src="{% static 'js/djangocms_forms/libs/jquery.form.min.js' %}"></script>
	<script src="{% static 'js/djangocms_forms/jquery.djangocms-forms.js' %}"></script>

	<script type="text/javascript">
		$(function() {
		  $('.forms').cmsForms({
			  'reCaptchaSiteKey': '{{ recaptcha_site_key }}',
			  'redirectDelay': {{ redirect_delay|default:1000 }}
		  });
		});
	</script>
{% endaddtoblock %}
